# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum Relation.Rel

    java.lang.Object
      java.lang.Enum<Relation.Rel>
          com.google.gdata.data.contacts.Relation.Rel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Relation.Rel>

Enclosing class:
  Relation

    public static enum Relation.Rel

extends java.lang.Enum<Relation.Rel>

Relation type.

Enum Constant Summary
`ASSISTANT` Assistant relation.
`BROTHER` Brother relation.
`CHILD` Child relation.
`DOMESTIC_PARTNER` Domestic-partner relation.
`FATHER` Father relation.
`FRIEND` Friend relation.
`MANAGER` Manager relation.
`MOTHER` Mother relation.
`PARENT` Parent relation.
`PARTNER` Partner relation.
`REFERRED_BY` Referred-by relation.
`RELATIVE` Relative relation.
`SISTER` Sister relation.
`SPOUSE` Spouse relation.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static Relation.Rel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Relation.Rel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASSISTANT

    public static final Relation.Rel ASSISTANT

  Assistant relation.

### BROTHER

    public static final Relation.Rel BROTHER

  Brother relation.

### CHILD

    public static final Relation.Rel CHILD

  Child relation.

### DOMESTIC_PARTNER

    public static final Relation.Rel DOMESTIC_PARTNER

  Domestic-partner relation.

### FATHER

    public static final Relation.Rel FATHER

  Father relation.

### FRIEND

    public static final Relation.Rel FRIEND

  Friend relation.

### MANAGER

    public static final Relation.Rel MANAGER

  Manager relation.

### MOTHER

    public static final Relation.Rel MOTHER

  Mother relation.

### PARENT

    public static final Relation.Rel PARENT

  Parent relation.

### PARTNER

    public static final Relation.Rel PARTNER

  Partner relation.

### REFERRED_BY

    public static final Relation.Rel REFERRED_BY

  Referred-by relation.

### RELATIVE

    public static final Relation.Rel RELATIVE

  Relative relation.

### SISTER

    public static final Relation.Rel SISTER

  Sister relation.

### SPOUSE

    public static final Relation.Rel SPOUSE

  Spouse relation.

Method Detail

### values

    public static Relation.Rel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Relation.Rel c : Relation.Rel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Relation.Rel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML